//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <string>

#include <conio.h>   //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main (int argc, char* argv[])
{
  string filename, basename, extname, tmpname;
  const string suffix("tmp");

  //     
  // (   C-)
  for (int i=1; i<argc; ++i) {
      //     
      filename = argv[i];
        
      //     
      string::size_type idx = filename.find('.');
      if (idx == string::npos) {
          //     
          tmpname = filename + '.' + suffix;
      }
      else {
          //        
          // -       
          // -      
          basename = filename.substr(0, idx);
          extname = filename.substr(idx+1);
          if (extname.empty()) {
              //  ,   :
              //   tmp
              tmpname = filename;
              tmpname += suffix;
          }
          else if (extname == suffix) {
              //  tmp   xxx
              tmpname = filename;
              tmpname.replace (idx+1, extname.size(), "xxx");
          }
          else {
              //     tmp
              tmpname = filename;
              tmpname.replace (idx+1, string::npos, suffix);
          }
      }

      //      
      cout << filename << " => " << tmpname << endl;
  }


  getch();
  return 0;
}

//---------------------------------------------------------------------------